import urllib.request
import time
from PIL import Image, ImageTk
import io
import tkinter as tk

url = "https://pb.dmcraft.online/"

root = tk.Tk()
canvas = tk.Canvas(root)
canvas.pack()

# Устанавливаем размеры окна
root.geometry("1024x800")

while True:
    # Открываем URL как файл
    image_file = io.BytesIO(urllib.request.urlopen(url).read())
    
    # Открываем изображение в PIL
    img = Image.open(image_file)
    
    # Преобразуем изображение в формат, поддерживаемый Tkinter
    tk_img = ImageTk.PhotoImage(img)
    
    # Создаем новый Canvas для вывода изображения
    canvas = tk.Canvas(root, width=img.size[0], height=img.size[1])
    canvas.create_image(0, 0, anchor="nw", image=tk_img)
    #canvas.pack()
    canvas.place(x=0, y=0)

    try:
        # Удаляем предыдущий Canvas
        canvas_old.destroy()
    except:
        pass

    canvas_old = canvas
    
    # Обновляем окно
    root.update()
    
    # Ждем 0.1 секунду перед следующим обновлением
    time.sleep(0.1)

root.mainloop()



